@import 'messages';
@import 'input_field';
@import 'typing_notification';
@import 'admin';
@import 'buttons';

@body-background: #F5BCD0;
@text-color: #3E4D55;
@message-user-shadow-color: ~'#3E4D5530';

// Reset

textarea, button {
  font-family: unset;
  font-size: 1em;
}

// End of reset

textarea {
  padding: 0.5em;
}

html, body {
  height: 100%;
}

html {
  font-size: 1px;
}

body {
  background: @body-background;
  margin: 0;
  font-size: 19px;
  color: @text-color;
  font-family: 'SF-Pro-Light';
}

.content {
  max-width: 700px;
  margin-left: auto;
  margin-right: auto;
}

#firebaseui-auth-container {
  display: none;
  position: fixed;
  left: 0;
  top: 0;
  background: #fffd;
  width: 100%;
  height: 100%;
}

@font-face {
  font-family: 'SF-Pro-Light';
  src: url('/assets/fonts/SF-Pro-Display-Light.otf');
}
